BACKLIGHT(8)

NAME
backlight - configure backlight hardware

SYNOPSIS
backlight [-f device] [-i] [-q] [value]
backlight [-f device] incr|+ [value]
backlight [-f device] decr|- [value]

DESCRIPTION
The backlight utility can be used to configure brightness levels for registered backlights.

Called without any arguments it will print the current brightness level of the first registered backlight.

The options are as follows:

-f device
    Device to operate on. If not specified, /dev/backlight/backlight0 is used. If an unqualified name is provided, /dev/backlight is automatically prepended.

-i  Query information about the backlight (name, type).

-q  When querying the brightness level only print the value.

value
    Set the brightness level to this value, must be between 0 and 100. A trailing “%” is valid.

incr|+ [value]
    Decrement the backlight level. If no value is specified a default of 10 percent is used.

decr|- [value]
    Increment the backlight level. If no value is specified a default of 10 percent is used.

EXAMPLES
Show the current brightness level

    backlight -f /dev/backlight/backlight0

SEE ALSO
backlight(9)

HISTORY
The backlight utility appeared in FreeBSD 13.0.

AUTHORS
-nosplit The backlight utility and this manual page were written by Emmanuel Vadot <manu@FreeBSD.org>.